<div id="waitaminute" style="<?php echo $waitstyle; ?>">
    <div class="waitaminute-message"><i class="eg-icon-emo-coffee"></i><br><?php echo $this->__("Please Wait..."); ?></div>
</div>


<script type="text/javascript">
	var ajaxurl = "<?php echo RevSliderBase::$url_ajax; ?>";
	var g_revNonce = "<?php echo $nonce; ?>";
	var g_uniteDirPlugin = "revslider";
	var g_urlContent = "<?php echo str_replace(array("\n", "\r", chr(10), chr(13)), array(''), Mage::helper('nwdrevslider/framework')->content_url())."/"; ?>";
	var g_urlAjaxShowImage = "<?php echo RevSliderBase::$url_ajax_showimage; ?>";
	var g_urlAjaxActions = "<?php echo RevSliderBase::$url_ajax_actions; ?>";
	var g_revslider_url = "<?php echo Nwdthemes_Revslider_Helper_Framework::$RS_PLUGIN_URL; ?>";
	var g_settingsObj = {};
	var global_grid_sizes = {
		'desktop': '<?php echo RevSliderBase::getVar($glval, 'width', 1230); ?>',
		'notebook': '<?php echo RevSliderBase::getVar($glval, 'width_notebook', 1230); ?>',
		'tablet': '<?php echo RevSliderBase::getVar($glval, 'width_tablet', 992); ?>',
		'mobile': '<?php echo RevSliderBase::getVar($glval, 'width_mobile', 480); ?>'
	};
	var revMageImageUploadUrl = '<?php echo Mage::helper("adminhtml")->getUrl('adminhtml/images/index/type/[type]'); ?>';
	wpColorPickerL10n = <?php echo json_encode(array(
		'clear' => $this->__('Clear'),
		'defaultString' => $this->__('Default'),
		'pick' => $this->__('Select Color'),
		'current' => $this->__('Current Color')
	)); ?>;
    var RS_DEMO = <?php echo (Nwdthemes_Revslider_Helper_Framework::RS_DEMO) ? 'true' : 'false'; ?>;
</script>
<div class="wp-core-ui" style="position: relative;">
	<div id="div_debug"></div>

	<div class='unite_error_message' id="error_message" style="display:none;"></div>

	<div class='unite_success_message' id="success_message" style="display:none;"></div>

	<div id="viewWrapper" class="view_wrapper<?php echo $wrapperClass; ?>">
		<?php echo $this->getChildHtml("view"); ?>
	</div>

	<div id="divColorPicker" style="display:none;"></div>

	<?php echo $this->getChildHtml("system/dialog-video"); ?>
	<?php echo $this->getChildHtml("system/dialog-global-settings"); ?>

	<div class="tp-plugin-version">
		<span style="margin-right:15px">&copy; All rights reserved, <a href="http://nwdthemes.com/" target="_blank">NWDthemes</a>  ver. <?php echo $revSliderVersion; ?></span>
	</div>
	<?php
	/*
	<script type="text/javascript">
		<span class="rs-shop">SHOP</span>
		jQuery(document).ready(function(){
			jQuery('.rs-shop').click(function(){

			});
		});
	</script>
	*/
	?>
	<div id="rs-shop-overview">
		<?php
		$shop_data = Mage::helper('nwdrevslider/framework')->get_option('tp-shop');
		?>
	</div>

	<div id="rs-preview-wrapper" style="display: none;">
		<div id="rs-preview-wrapper-inner">
			<div id="rs-preview-info">
				<div class="rs-preview-toolbar">
					<a class="rs-close-preview"><i class="eg-icon-cancel"></i></a>
				</div>

				<div data-type="desktop" class="rs-preview-device_selector_prev rs-preview-ds-desktop selected"></div>
				<div data-type="notebook" class="rs-preview-device_selector_prev rs-preview-ds-notebook"></div>
				<div data-type="tablet" class="rs-preview-device_selector_prev rs-preview-ds-tablet"></div>
				<div data-type="mobile" class="rs-preview-device_selector_prev rs-preview-ds-mobile"></div>

			</div>
			<div class="rs-frame-preview-wrapper">
				<iframe id="rs-frame-preview" name="rs-frame-preview"></iframe>
			</div>
		</div>
	</div>
	<form id="rs-preview-form" name="rs-preview-form" action="<?php echo RevSliderBase::$url_ajax_actions; ?>" target="rs-frame-preview" method="post">
		<input type="hidden" id="rs-client-action" name="client_action" value="">
		<input type="hidden" id="rs-nonce" name="form_key" value="<?php echo $nonce; ?>">

		<!-- SPECIFIC FOR SLIDE PREVIEW -->
		<input type="hidden" name="data" value="" id="preview-slide-data">

		<!-- SPECIFIC FOR SLIDER PREVIEW -->
		<input type="hidden" id="preview_sliderid" name="sliderid" value="">
		<input type="hidden" id="preview_slider_markup" name="only_markup" value="">
	</form>
	
	
	<div id="dialog_preview_sliders" class="dialog_preview_sliders" title="Preview Slider" style="display:none;">
		<iframe id="frame_preview_slider" name="frame_preview_slider" style="width: 100%;"></iframe>
	</div>
</div>

<script type="text/javascript">
    <?php
	$validated = Mage::helper('nwdrevslider/framework')->get_option('revslider-valid', 'false');
	?>
	rs_plugin_validated = <?php echo ($validated == 'true') ? 'true' : 'false'; ?>;
	
	var showWaitAMinute;

    (function(jQuery) {

	jQuery('body').on('click','.rs-preview-device_selector_prev', function() {
    	var btn = jQuery(this);
    	jQuery('.rs-preview-device_selector_prev.selected').removeClass("selected");    	
    	btn.addClass("selected");
    	
    	var w = parseInt(global_grid_sizes[btn.data("type")],0);
    	if (w>1450) w = 1450;
    	jQuery('#rs-preview-wrapper-inner').css({maxWidth:w+"px"});

    });

    jQuery(window).resize(function() {
    	var ww = jQuery(window).width();
    	if (global_grid_sizes)
	    	jQuery.each(global_grid_sizes,function(key,val) {    		
	    		if (ww<=parseInt(val,0)) {
	    			jQuery('.rs-preview-device_selector_prev.selected').removeClass("selected");
	    			jQuery('.rs-preview-device_selector_prev[data-type="'+key+'"]').addClass("selected");
	    		}
	    	})
    })

	/* SHOW A WAIT FOR PROGRESS */
	showWaitAMinute = function(obj) {
		var wm = jQuery('#waitaminute');		
		// SHOW AND HIDE WITH DELAY
		if (obj.delay!=undefined) {

			punchgs.TweenLite.to(wm,0.3,{autoAlpha:1,ease:punchgs.Power3.easeInOut});
			punchgs.TweenLite.set(wm,{display:"block"});

			setTimeout(function() {
				punchgs.TweenLite.to(wm,0.3,{autoAlpha:0,ease:punchgs.Power3.easeInOut,onComplete:function() {
					punchgs.TweenLite.set(wm,{display:"block"});	
				}});  			
			},obj.delay)
		}

		// SHOW IT
		if (obj.fadeIn != undefined) {
			punchgs.TweenLite.to(wm,obj.fadeIn/1000,{autoAlpha:1,ease:punchgs.Power3.easeInOut});
			punchgs.TweenLite.set(wm,{display:"block"});			
		}

		// HIDE IT
		if (obj.fadeOut != undefined) {

			punchgs.TweenLite.to(wm,obj.fadeOut/1000,{autoAlpha:0,ease:punchgs.Power3.easeInOut,onComplete:function() {
					punchgs.TweenLite.set(wm,{display:"block"});	
				}});  
		}

		// CHANGE TEXT
		if (obj.text != undefined) {
			switch (obj.text) {
				case "progress1":

				break;
				default:					
					wm.html('<div class="waitaminute-message"><i class="eg-icon-emo-coffee"></i><br>'+obj.text+'</div>');
				break;	
			}
		}
	}

	})($nwd_jQuery);

</script>